require(RODBC)
require(timeDate)
require(forecast)
conn<-odbcConnect("AdventureWorksDW") # connect to AdventureWorksDW ODBC
actual <- sqlQuery(conn,"select Amount from dbo.vTimeSeries where ModelRegion = 'M200 Europe'") # execute a query
actual.ts <- ts(actual, frequency = 12, start = c(2005, 07)) # create time series
actual.fore <- forecast(ets(actual.ts), 10) # forecast 10 periods
forecasted <- subset(data.frame(actual.fore), select=c(Point.Forecast)) # flip the forecated results to a data frame